Gutenberg is the ‘new’ UI editor of WordPress. If you have a Theme that has its own UI builder, you don’t need it and you can keep using the UI builder of your preferred theme.
If you have installed a “default” WordPress theme, I would encourage them to use it as it’s the default way of doing UI stuff on the post or page level.
As of WordPress 5 you don’t have to install Gutenberg. Before WordPress 5 you can installed it through the plugin system.